# David - 2.3.1-15mdk - Reminder: 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

 #David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

# laurent kde 2.2  - Define if we build with gphoto support
#                              0 = unsupported
#			       1 = supported
%define gphoto 1


%define lib_name_orig kdegraphics
%define lib_major 0
%define lib_name %mklibname kdegraphics %lib_major


Name:		kdegraphics
Summary:	K Desktop Environment - Graphics
Version:    3.1.3
Release:    35mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:     %name-%version.tar.bz2
Source1:	kghostviewrc

Patch0:		kdegraphics-3.0-kamera-compile.patch.bz2
Patch1:		kdegraphics-3.0-kcolorchooser.patch.bz2
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2
Patch3:		kdegraphics-3.0.3-fix-compile.patch.bz2

# Laurent - 3.1-rc5-3mdk fix crash in kmrml
# Patch commited in Head
Patch4:		kdegraphics-kmrml-fix-crash.patch.bz2


# Laurent - 3.1-rc6-2mdk fix multiple about widget
Patch6:		kdegraphics-3.1-fix-multiple-about-widget.patch.bz2

Patch7:		kdegraphics-3.1.2-add-shortcut-kcoloredit.patch.bz2

Patch8:		kdegraphics-3.1.2-add-shortcut-kfax.patch.bz2


Patch9:		kdegraphics-3.1.3-add-kghostview-shortcut.patch.bz2

Patch10:	kdegraphics-3.1.3-fix-kghostview-61934.patch.bz2

Patch11:	kdegraphics-3.1.3-fix-kooka-shortcut-conflict.patch.bz2


BuildRoot:	%_tmppath/%name-%version-%release-root


%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext  kdelibs3-devel libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libgpio0-devel libintl1 libjpeg62-devel
BuildRequires:	liblcms1 libmng1-devel libopenssl0-devel libpng3-devel
BuildRequires:	libptal0-devel libqt3-devel libsane1-devel
BuildRequires:	libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:	m4 mktemp perl perl-MDK-Common popt rpm-build 
BuildRequires:	texinfo zlib1 libimlib1-devel libexif-devel
%endif

%if %buildfor9_0 
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext  kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libgpio0-devel libintl2 libjpeg62-devel
BuildRequires:  liblcms1 libmng1-devel libopenssl0-devel libpng3-devel
BuildRequires:  libptal0-devel libqt3-devel libsane1-devel
BuildRequires:  libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:  m4 mktemp perl perl-MDK-Common popt rpm-build 
BuildRequires:  texinfo zlib1 libimlib1-devel 
BuildRequires:	libusb0.1_4-static-devel libjpeg62-static-devel libungif4-static-devel libexif7-devel
%endif

%if %buildfor9_1 
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext  kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libintl2 libjpeg62-devel
BuildRequires:  liblcms1 libmng1-devel libopenssl0.9.7-devel libpng3-devel
BuildRequires:  libptal0-devel libqt3-devel libsane1-devel
BuildRequires:  libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:  m4 mktemp perl perl-MDK-Common popt rpm-build
BuildRequires:  texinfo zlib1 libimlib1-devel 
BuildRequires:  libusb0.1_4-static-devel libjpeg62-static-devel libungif4-static-devel libexif8-devel libieee1284-devel  libieee1284_3-devel libMesaglut3-devel
%endif

%if %buildfor9_2 
BuildRequires:	jpeg-devel png-devel libimlib-devel libtiff-devel
BuildRequires:	zlib-devel bzip2-devel
BuildRequires:	gettext texinfo
BuildRequires:  kdelibs-devel XFree86-devel freetype2-devel
BuildRequires:  openssl-devel libsane-devel libMesaglut-devel
%endif

%if %gphoto
BuildRequires:	gphoto2-devel
%endif

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif

Requires:	kdegraphics-ksnapshot = %version-%release
Requires:	kdegraphics-common = %version-%release
Requires:   kdegraphics-kuickshow = %version-%release
Requires:	kdegraphics-kdvi = %version-%release
Requires:	kdegraphics-kfax = %version-%release
Requires:	kdegraphics-kghostview = %version-%release   
Requires:	kdegraphics-kiconedit = %version-%release   
Requires:	kdegraphics-kpaint = %version-%release   
Requires:	kdegraphics-kpovmodeler = %version-%release    
Requires:	kdegraphics-kruler = %version-%release    
Requires:	kdegraphics-mrmlsearch = %version-%release    

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications:

	- kamera: digital camera io_slave for Konqueror. Together gPhoto this 
			allows you to access your camera's picture with the URL kamera:/
	- kcoloredit: contains two programs: a color value editor and also 
			a color picker
	- kdvi: program (and embeddable KPart) to display *.DVI files from TeX
	- kfax: a program to display raw and tiffed fax images (g3, g3-2d, g4)
	- kfaxview: an embeddable KPart to display tiffed fax images
	- kfile-plugins: provide meta information for graphic files
	- kghostview: program (and embeddable KPart) to display *.PDF and *.PS
	- kiconedit: an icon editor
	- kooka: a raster image scan program, based on SANE and libkscan
	- kpaint: a simple pixel oriented image drawing program
	- kruler: a ruler in inch, centimeter and pixel to check distances 
	 		  on the screen
	- ksnapshot: make snapshots of the screen contents
	- kuickshow: fast and comfortable imageviewer
	- kview: picture viewer, provided as standalone program and embeddable KPart
	- kviewshell: generic framework for viewer applications

%package common
Summary:	Common files for kdegraphics
Group:		Development/KDE and Qt
%if %gphoto
Requires:   gphoto2 libgphoto2
%endif
Requires:   kdelibs 
Obsoletes:  kdegraphics3
Provides:   kdegraphics3 = 1:%version-%release

Obsoletes:  kdegraphics
Provides:   kdegraphics = 1:%version-%release



%description common
Common files for kdegraphics


%package -n %lib_name-common
Summary:	Librairies files for kdegraphics
Group:		Development/KDE and Qt

Obsoletes:	%lib_name
Provides:	%lib_name = 1:%version-%release


%description -n %lib_name-common
Librairies files for kdegraphics

%package mrmlsearch
Summary:	mrmlsearch files
Group:		Development/KDE and Qt

Requires:	%lib_name-mrmlsearch = 1:%version-%release
Provides:	mrmlsearch
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description mrmlsearch
mrmlsearch files


%package -n %lib_name-mrmlsearch
Summary:	Librairies files for mrmlsearch
Group:		Development/KDE and Qt
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-mrmlsearch
Librairies for mrmlsearch


%package -n %lib_name-common-devel
Summary:	Include files for kdegraphics
Group:		Development/KDE and Qt
Requires:		%lib_name-common = 1:%version-%release

Obsoletes:	kdegraphics-devel
Provides:	kdegraphics-devel = 1:%version-%release

Obsoletes:	%lib_name-devel
Provides:	%lib_name-devel = 1:%version-%release

Obsoletes:  kdegraphics3-devel
Provides:   kdegraphics3-devel = 1:%version-%release

%description -n %lib_name-common-devel
This package contains include files needed to build applications based on kdegraphic.


%package kooka
Summary:    Kooka package
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	gocr
Requires:	%lib_name-kooka = %version-%release
Provides:	kooka

%description kooka
This package contains a raster image scan program, based on SANE and libkscan.

%package kdvi
Summary:    Kdvi package
Group:      Graphical desktop/KDE
Provides:	kdvi
Requires:	%lib_name-common = %version-%release
Conflicts:	kdegraphics <= 3.1-9.1mdk

%description kdvi
Kdvi package

%package kpaint
Summary:    Kpaint kcolorchooser kcoloredit package
Group:      Graphical desktop/KDE
Provides:	kpaint, kcolorchooser, kcoloredit
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kpaint
KPaint : a simple pixel oriented image drawing program.
kcoloredit : a color value editor and also 
Kcolorchooser : a color picker.

%package kfax
Summary:    Kfax package
Group:      Graphical desktop/KDE
Provides:	kfax
Requires:   %lib_name-common = %version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kfax
A program to display raw and tiffed fax images (g3, g3-2d, g4).



%package kruler
Summary:    Kruler package
Group:      Graphical desktop/KDE
Provides:	kruler
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kruler
A ruler in inch, centimeter and pixel to check distances on the screen


%package kghostview
Summary:    Kghostview package
Group:      Graphical desktop/KDE
Provides:	kghostview
Requires:	ghostscript, ghostscript-module-X
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kghostview
A program (and embeddable KPart) to display *.PDF and *.PS


%package ksnapshot
Summary:    Ksnaphot package
Group:      Graphical desktop/KDE
Provides:	ksnapshot
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksnapshot
Ksnapshot allows to make snapshots of the screen contents


%package kpovmodeler
Summary:    Kpovmodeler package
Group:      Graphical desktop/KDE
Provides:	kpovmodeler
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kpovmodeler
Program to enter scenes for the 3D rendering engine PovRay.

%package kiconedit
Summary:    Kiconedit package
Group:      Graphical desktop/KDE
Provides:	kiconedit
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kiconedit
An icon editor.

%package kview
Summary:    Kview package
Group:      Graphical desktop/KDE
Provides:	kview
Requires:	%lib_name-kview = %version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kview
Kview is a  picture viewer, provided as standalone program and embeddable KPart

%package -n %lib_name-kview
Summary:    Librarie for Kview package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kview
Librairies for Kview package

%package -n %lib_name-kview-devel
Summary:    Devel file for Kview package
Group:      Graphical desktop/KDE
Requires:	%lib_name-kview = %version-%release

%description -n %lib_name-kview-devel
Devel files for Kview package


%package kuickshow
Summary:    Kuickshow package
Group:      Graphical desktop/KDE
Requires:	%lib_name-kuickshow = %version-%release
Provides:	kuickshow
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kuickshow
A fast and comfortable imageviewer.

%package -n %lib_name-kuickshow
Summary:    Librarie for Kuickshow package
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kuickshow
Librairies for Kuickshow package


%package -n %lib_name-kooka
Summary:    Librairie for Kooka 
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk, libsane1
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description  -n %lib_name-kooka
Librairie for Kooka 

%package -n %lib_name-kooka-devel
Summary:    Devel files for Kooka 
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-kooka = %version-%release

%description  -n %lib_name-kooka-devel
Devel files for Kooka 



%prep
%setup -q
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
# finale !!!!!!!!!
#%patch6 -p1

%patch7 -p1

%patch8 -p1
%patch9 -p1 -b .kghostview_shortcut
%patch10 -p1 -b .kghostview_fix_61934

%patch11 -p1 -b .fix_kooka_shortcut_conflict

%build
%if %buildfor9_2 || %buildfor9_1
make -f admin/Makefile.common cvs
%endif

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%{?__cputoolize: %{__cputoolize} }
%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`"
\
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
					--enable-debug=full \
%else	
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
%if %gphoto
			--with-kamera 
%else			
		    --without-kamera
%endif
%make



%install
rm -fr %buildroot

# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d %buildroot/%_datadir/config/
install -m 0644 %SOURCE1 %buildroot/%_datadir/config/kghostviewrc

# Create LMDK menu entries
install -d %buildroot/%_menudir/
export PATH=%_bindir:$PATH

# %%_datadir/applnk/Graphics/
kdedesktop2mdkmenu.pl kdegraphics-kdvi Applications/Publishing %buildroot/%_datadir/applnk/Graphics/kdvi.desktop %buildroot/%_menudir/kdegraphics-kdvi
kdedesktop2mdkmenu.pl kdegraphics-kfax Applications/Communications %buildroot/%_datadir/applnk/Graphics/kfax.desktop %buildroot/%_menudir/kdegraphics-kfax
kdedesktop2mdkmenu.pl kdegraphics-kghostview Applications/Publishing %buildroot/%_datadir/applnk/Graphics/kghostview.desktop %buildroot/%_menudir/kdegraphics-kghostview
kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kpaint.desktop %buildroot/%_menudir/kdegraphics-kpaint
kdedesktop2mdkmenu.pl kdegraphics-kview Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kview.desktop %buildroot/%_menudir/kdegraphics-kview
kdedesktop2mdkmenu.pl kdegraphics-kooka Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kooka.desktop %buildroot/%_menudir/kdegraphics-kooka
kdedesktop2mdkmenu.pl kdegraphics-kpovmodeler Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kpovmodeler.desktop %buildroot/%_menudir/kdegraphics-kpovmodeler
kdedesktop2mdkmenu.pl kdegraphics-kuickshow Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kuickshow.desktop %buildroot/%_menudir/kdegraphics-kuickshow

# %%_datadir/applnk/Graphics/More
kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kcolorchooser.desktop %buildroot/%_menudir/kdegraphics-kcolorchooser

kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kcoloredit.desktop %buildroot/%_menudir/kdegraphics-kcoloredit
kdedesktop2mdkmenu.pl kdegraphics-kiconedit Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kiconedit.desktop %buildroot/%_menudir/kdegraphics-kiconedit
kdedesktop2mdkmenu.pl kdegraphics-kruler Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kruler.desktop %buildroot/%_menudir/kdegraphics-kruler
kdedesktop2mdkmenu.pl kdegraphics-ksnapshot Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/ksnapshot.desktop %buildroot/%_menudir/kdegraphics-ksnapshot



%if %gphoto
kdedesktop2mdkmenu.pl kdegraphics-common Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/kamera.desktop %buildroot/%_menudir/kdegraphics-kamera kde
%endif


kdedesktop2mdkmenu.pl kdegraphics-kmrml Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kcmkmrml.desktop %buildroot/%_menudir/kdegraphics-kcmkmrml kde

# David - 2.1-1mdk - kghostview title is "PS/PDF viewer". "PS/" create a new
#                    and non needed submenu. Foolowing command fix that.
perl -pi -e "s|PS/PDF|PS and PDF|" %buildroot/%_menudir/kdegraphics-kghostview

# David - 3.1.3-32mdk - Dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Kooka \$device
Comment=Kooka
Exec=%_bindir/kooka
Terminal=false
Icon=scanner.png
Type=Application
EOF


%files


%post -n %lib_name-common
/sbin/ldconfig
%update_menus

%postun -n %lib_name-common
/sbin/ldconfig
%clean_menus

%post -n %lib_name-common-devel -p /sbin/ldconfig

%postun -n %lib_name-common-devel -p /sbin/ldconfig

%post -n %lib_name-kooka -p /sbin/ldconfig

%postun -n %lib_name-kooka -p /sbin/ldconfig

%post -n %lib_name-kuickshow -p /sbin/ldconfig

%postun -n %lib_name-kuickshow -p /sbin/ldconfig

%post -n %lib_name-mrmlsearch -p /sbin/ldconfig

%postun -n %lib_name-mrmlsearch -p /sbin/ldconfig

%post mrmlsearch
%update_menus

%postun mrmlsearch
%clean_menus


%post kdvi
%update_menus

%postun kdvi
%clean_menus

%post kfax
%update_menus

%postun kfax
%clean_menus

%post kghostview
%update_menus

%postun kghostview
%clean_menus

%post kooka
%update_menus
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %launchers/%name.desktop 31
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %launchers/%name.desktop 29

%postun kooka
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove scanner.gnome.dynamic %launchers/%name.desktop
fi

%post kpovmodeler
%update_menus

%postun kpovmodeler
%clean_menus

%post ksnapshot
%update_menus

%postun ksnapshot
%clean_menus


%post kruler
%update_menus

%postun kruler
%clean_menus

%post kuickshow
%update_menus

%postun kuickshow
%clean_menus

%post kpaint
%update_menus

%postun kpaint
%clean_menus

%post kview
%update_menus

%postun kview
%clean_menus

%post -n %lib_name-kview -p /sbin/ldconfig

%postun -n %lib_name-kview -p /sbin/ldconfig


%clean
rm -fr %buildroot


%files common
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#
#
#
%dir %_docdir/HTML/en/kamera/
%doc %_docdir/HTML/en/kamera/common
%doc %_docdir/HTML/en/kamera/*.docbook
%doc %_docdir/HTML/en/kamera/*.bz2




%_bindir/kviewshell

#

#
#
%_libdir/kde3/kcm_kamera.la*
%_libdir/kde3/kfile_bmp.la*
%_libdir/kde3/kfile_ico.la*
%_libdir/kde3/kfile_jpeg.la*
%_libdir/kde3/kfile_pdf.la*
%_libdir/kde3/kfile_png.la*
%_libdir/kde3/kfile_ps.la*
%_libdir/kde3/kfile_tga.la*
%_libdir/kde3/kfile_tiff.la*
%_libdir/kde3/kfile_xbm.la*
%_libdir/kde3/kio_kamera.la*

%_libdir/kde3/kcm_kamera.so*
%_libdir/kde3/kfile_bmp.so*
%_libdir/kde3/kfile_ico.so*
%_libdir/kde3/kfile_jpeg.so*
%_libdir/kde3/kfile_pdf.so*
%_libdir/kde3/kfile_png.so*
%_libdir/kde3/kfile_ps.so*
%_libdir/kde3/kfile_tga.so*
%_libdir/kde3/kfile_tiff.so*
%_libdir/kde3/kfile_xbm.so*
%_libdir/kde3/kio_kamera.so*
%_libdir/kde3/kviewerpart.la
%_libdir/kde3/kviewerpart.so
#
#
#
%_menudir/kdegraphics-kamera         

#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Graphics/


%dir %_datadir/applnk/Graphics/More/
%_datadir/applnk/Graphics/More/*.desktop

#
%if %gphoto
%_datadir/applnk/Settings/Peripherals/*.desktop
%endif
#
%_datadir/applnk/Settings/System/*.desktop
#
#
%dir %_datadir/apps/kviewerpart/
%_datadir/apps/kviewerpart/*.rc
#
#
%dir %_datadir/apps/kviewshell/
%_datadir/apps/kviewshell/*.rc
#
#
#
%dir %_iconsdir/

%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/camera.png
%_iconsdir/crystalsvg/16x16/apps/kviewshell.png



%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/camera_test.png
%_iconsdir/crystalsvg/16x16/actions/palette_color.png
%_iconsdir/crystalsvg/16x16/actions/palette_gray.png
%_iconsdir/crystalsvg/16x16/actions/palette_halftone.png
%_iconsdir/crystalsvg/16x16/actions/palette_lineart.png




%if %gphoto
%dir %_iconsdir/crystalsvg/16x16/devices/
%_iconsdir/crystalsvg/16x16/devices/*.png
%endif

#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/kviewshell.png
%if %gphoto
%dir %_iconsdir/crystalsvg/32x32/devices/
%_iconsdir/crystalsvg/32x32/devices/*.png
%dir %_iconsdir/crystalsvg/32x32/filesystems/
%_iconsdir/crystalsvg/32x32/filesystems/*.png
%endif
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/kviewshell.png
#
%_datadir/services/kfile_bmp.desktop
%_datadir/services/kfile_ico.desktop
%_datadir/services/kfile_jpeg.desktop
%_datadir/services/kfile_pdf.desktop
%_datadir/services/kfile_png.desktop
%_datadir/services/kfile_ps.desktop
%_datadir/services/kfile_tga.desktop
%_datadir/services/kfile_tiff.desktop
%_datadir/services/kfile_xbm.desktop

%_datadir/services/scanservice.desktop

%if %gphoto
%_datadir/services/kamera.protocol
%endif


%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/libkmultipage.la*  
%_libdir/libkpagetest.la*   

%_libdir/libkmultipage.so.*




%files -n %lib_name-common-devel
%defattr(-,root,root)
%_includedir/*.h

%_libdir/libkpagetest.so
%_libdir/libkmultipage.so


%files kview
%defattr(-,root,root)
%dir %_docdir/HTML/en/kview/
%doc %_docdir/HTML/en/kview/common
%doc %_docdir/HTML/en/kview/*.docbook
%doc %_docdir/HTML/en/kview/*.png
%doc %_docdir/HTML/en/kview/*.bz2
%_bindir/kview
%_menudir/kdegraphics-kview
%_datadir/applnk/Graphics/kview.desktop
%dir %_datadir/apps/kview/
%_datadir/apps/kview/*.rc
%dir %_datadir/apps/kview/kpartplugins/
%_datadir/apps/kview/kpartplugins/*.rc
%_datadir/apps/kview/kpartplugins/*.desktop

%_datadir/services/kviewcanvas.desktop
%_datadir/services/kviewviewer.desktop

%_datadir/servicetypes/kimageviewercanvas.desktop
%_datadir/servicetypes/kimageviewer.desktop


%dir %_datadir/apps/kviewviewer/
%_datadir/apps/kviewviewer/*.rc

%dir %_datadir/apps/kviewviewer/kpartplugins/
%_datadir/apps/kviewviewer/kpartplugins/*.rc
%_datadir/apps/kviewviewer/kpartplugins/*.desktop

%_iconsdir/crystalsvg/16x16/apps/kview.png
%_iconsdir/crystalsvg/32x32/apps/kview.png
%_iconsdir/crystalsvg/48x48/apps/kview.png

%_libdir/kde3/kview_browserplugin.la
%_libdir/kde3/kview_browserplugin.so
%_libdir/kde3/kview_presenterplugin.la
%_libdir/kde3/kview_presenterplugin.so
%_libdir/kde3/kview_scannerplugin.la
%_libdir/kde3/kview_scannerplugin.so
%_libdir/kde3/libkviewcanvas.la
%_libdir/kde3/libkviewcanvas.so
%_libdir/kde3/libkviewviewer.la
%_libdir/kde3/libkviewviewer.so

%files -n %lib_name-kview
%defattr(-,root,root)
%_libdir/kview.la*      
%_libdir/kview.so                
%_libdir/libkviewsupport.so.*
%_libdir/libkviewsupport.la


%files -n %lib_name-kview-devel
%defattr(-,root,root)
%_libdir/libkviewsupport.so


%files mrmlsearch
%defattr(-,root,root)
%_bindir/mrmlsearch
%_libdir/kde3/kcm_kmrml.la
%_libdir/kde3/kio_mrml.la
%_libdir/kde3/libkmrmlpart.la
%_libdir/kde3/kcm_kmrml.so
%_libdir/kde3/kio_mrml.so
%_libdir/kde3/libkmrmlpart.so
%_libdir/kde3/kded_daemonwatcher.so
%_libdir/kde3/kded_daemonwatcher.la

%_menudir/kdegraphics-kcmkmrml

%_datadir/services/mrml.protocol
%_datadir/services/mrml_part.desktop
%_datadir/services/kded/daemonwatcher.desktop

%_datadir/apps/konqueror/servicemenus/mrml-servicemenu.desktop

%_datadir/mimelnk/text/mrml.desktop

%files -n %lib_name-mrmlsearch
%defattr(-,root,root)
%_libdir/mrmlsearch.la
%_libdir/mrmlsearch.so


%files kfax
%defattr(-,root,root)
%_bindir/kfax        
%_libdir/kde3/kfaxpart.la
%_libdir/kde3/kfaxpart.so

%_menudir/kdegraphics-kfax           
%_datadir/applnk/Graphics/kfax.desktop           

%dir %_datadir/apps/kfax/
%_datadir/apps/kfax/*.rc
#
%dir %_datadir/apps/kfax/pics/
%_datadir/apps/kfax/pics/*.tif
%_datadir/apps/kfax/pics/*.xpm
#
%_iconsdir/crystalsvg/16x16/apps/kfax.png
%_iconsdir/crystalsvg/32x32/apps/kfax.png
%_iconsdir/crystalsvg/48x48/apps/kfax.png

%files kpaint
%defattr(-,root,root)
%dir %_docdir/HTML/en/kcoloredit/
%doc %_docdir/HTML/en/kcoloredit/common
%doc %_docdir/HTML/en/kcoloredit/*.docbook
%doc %_docdir/HTML/en/kcoloredit/*.bz2
#
%dir %_datadir/apps/kcoloredit
%_datadir/apps/kcoloredit/*.rc
%dir %_datadir/apps/kpaint/
%_datadir/apps/kpaint/*.rc

%dir %_datadir/apps/kpaint/toolbar/
%_datadir/apps/kpaint/toolbar/*.png

##
#
%dir %_docdir/HTML/en/kpaint/
%doc %_docdir/HTML/en/kpaint/common
%doc %_docdir/HTML/en/kpaint/*.docbook
%doc %_docdir/HTML/en/kpaint/*.bz2

%_bindir/kcolorchooser  
%_bindir/kcoloredit     
%_bindir/kpaint       

%_datadir/applnk/Graphics/kcolorchooser.desktop  

%_datadir/applnk/Graphics/kcoloredit.desktop     
%_datadir/applnk/Graphics/kpaint.desktop       

%_menudir/kdegraphics-kcolorchooser  
%_menudir/kdegraphics-kcoloredit     
%_menudir/kdegraphics-kpaint       

%_iconsdir/crystalsvg/16x16/apps/kcoloredit.png
%_iconsdir/crystalsvg/32x32/apps/kcoloredit.png

%_iconsdir/locolor/16x16/apps/kcoloredit.png
%_iconsdir/locolor/32x32/apps/kcoloredit.png


%_iconsdir/crystalsvg/16x16/apps/kpaint.png
%_iconsdir/crystalsvg/32x32/apps/kpaint.png
%_iconsdir/crystalsvg/48x48/apps/kpaint.png

%files kuickshow
%defattr(-,root,root)
#
%dir %_docdir/HTML/en/kuickshow/
%doc %_docdir/HTML/en/kuickshow/common
%doc %_docdir/HTML/en/kuickshow/*.docbook
%doc %_docdir/HTML/en/kuickshow/*.bz2
%doc %_docdir/HTML/en/kuickshow/*.png
#
%_bindir/kuickshow  
%_menudir/kdegraphics-kuickshow
%_datadir/applnk/Graphics/kuickshow.desktop

%dir %_datadir/apps/kuickshow/
%_datadir/apps/kuickshow/*.pal
#
%dir %_datadir/apps/kuickshow/pics/
%_datadir/apps/kuickshow/pics/*.png
%_datadir/apps/kuickshow/pics/*.jpg

%_iconsdir/crystalsvg/16x16/apps/kuickshow.png
%_iconsdir/crystalsvg/32x32/apps/kuickshow.png

%_iconsdir/locolor/16x16/apps/kuickshow.png
%_iconsdir/locolor/32x32/apps/kuickshow.png


%files -n %lib_name-kuickshow
%defattr(-,root,root)
%_libdir/kuickshow.la*  
%_libdir/kuickshow.so*            


%files kiconedit
%defattr(-,root,root)
%dir %_docdir/HTML/en/kiconedit/
%doc %_docdir/HTML/en/kiconedit/common
%doc %_docdir/HTML/en/kiconedit/*.docbook
%doc %_docdir/HTML/en/kiconedit/*.bz2
#
%_bindir/kiconedit   
#
%dir %_datadir/apps/kiconedit/
%dir %_datadir/apps/kiconedit/pics/
%_datadir/apps/kiconedit/pics/*.png
#
%dir %_datadir/apps/kiconedit/toolbar/
%_datadir/apps/kiconedit/toolbar/*.png
%_datadir/apps/kiconedit/toolbar/*.xpm
#
%_menudir/kdegraphics-kiconedit    
%_datadir/applnk/Graphics/kiconedit.desktop    

%_iconsdir/crystalsvg/16x16/apps/kiconedit.png
%_iconsdir/crystalsvg/32x32/apps/kiconedit.png
%_iconsdir/crystalsvg/48x48/apps/kiconedit.png

%files ksnapshot
%defattr(-,root,root)
%dir %_docdir/HTML/en/ksnapshot/
%doc %_docdir/HTML/en/ksnapshot/common
%doc %_docdir/HTML/en/ksnapshot/*.docbook
%doc %_docdir/HTML/en/ksnapshot/*.png
%doc %_docdir/HTML/en/ksnapshot/*.bz2
%_bindir/ksnapshot  
%_datadir/applnk/Graphics/ksnapshot.desktop

%_menudir/kdegraphics-ksnapshot

%_iconsdir/crystalsvg/16x16/apps/ksnapshot.png
%_iconsdir/crystalsvg/32x32/apps/ksnapshot.png
%_iconsdir/crystalsvg/48x48/apps/ksnapshot.png

%files kruler
%defattr(-,root,root)
%dir %_docdir/HTML/en/kruler/
%doc %_docdir/HTML/en/kruler/common
%doc %_docdir/HTML/en/kruler/*.docbook
%doc %_docdir/HTML/en/kruler/*.bz2
%_bindir/kruler     
%_menudir/kdegraphics-kruler
%_datadir/applnk/Graphics/kruler.desktop
%dir %_datadir/apps/kruler/
%_datadir/apps/kruler/eventsrc
%dir %_datadir/apps/kruler/sounds/
%_datadir/apps/kruler/sounds/*.wav

%dir %_datadir/apps/kruler/pics/
%_datadir/apps/kruler/pics/*.png

%_iconsdir/crystalsvg/16x16/apps/kruler.png
%_iconsdir/crystalsvg/32x32/apps/kruler.png
%_iconsdir/crystalsvg/48x48/apps/kruler.png


%files kpovmodeler
%defattr(-,root,root)
%dir %_docdir/HTML/en/kpovmodeler/
%doc %_docdir/HTML/en/kpovmodeler/common
%doc %_docdir/HTML/en/kpovmodeler/*.docbook
%doc %_docdir/HTML/en/kpovmodeler/*.bz2
%doc %_docdir/HTML/en/kpovmodeler/*.png

%_libdir/kde3/libkpovmodelerpart.la*
%_libdir/kde3/libkpovmodelerpart.so*

%_bindir/kpovmodeler  
%_menudir/kdegraphics-kpovmodeler  
%dir %_datadir/apps/kpovmodeler/
%_datadir/apps/kpovmodeler/*
%_datadir/applnk/Graphics/kpovmodeler.desktop


%_iconsdir/crystalsvg/16x16/apps/kpovmodeler.png
%_iconsdir/crystalsvg/16x16/mimetypes/kpovmodeler_doc.png
%_iconsdir/crystalsvg/32x32/apps/kpovmodeler.png
%_iconsdir/crystalsvg/32x32/mimetypes/kpovmodeler_doc.png

%_iconsdir/locolor/16x16/apps/kpovmodeler.png
%_iconsdir/locolor/32x32/apps/kpovmodeler.png


%files kghostview
%defattr(-,root,root)
%dir %_docdir/HTML/en/kghostview/
%doc %_docdir/HTML/en/kghostview/common
%doc %_docdir/HTML/en/kghostview/*.docbook
%doc %_docdir/HTML/en/kghostview/*.bz2
%_libdir/kde3/libkghostviewpart.so*

%_libdir/kde3/libkghostviewpart.la*

%_bindir/kghostview  
%_menudir/kdegraphics-kghostview   
%_datadir/applnk/Graphics/kghostview.desktop   

%dir %_datadir/apps/kghostview/
%_datadir/apps/kghostview/*.rc
%_datadir/apps/kghostview/*.ps

%_iconsdir/crystalsvg/16x16/apps/kghostview.png
%_iconsdir/crystalsvg/32x32/apps/kghostview.png
%_iconsdir/crystalsvg/48x48/apps/kghostview.png
%_iconsdir/crystalsvg/64x64/apps/kghostview.png
%_iconsdir/crystalsvg/128x128/apps/kghostview.png

#todo fix me config for kghostview...
%_datadir/config/kghostviewrc

%files kdvi
%defattr(-,root,root)
%dir %_docdir/HTML/en/kdvi/
%doc %_docdir/HTML/en/kdvi/common
%doc %_docdir/HTML/en/kdvi/*.docbook
%doc %_docdir/HTML/en/kdvi/*.dvi
%doc %_docdir/HTML/en/kdvi/*.png
%doc %_docdir/HTML/en/kdvi/*.ps
%doc %_docdir/HTML/en/kdvi/*.tex
%doc %_docdir/HTML/en/kdvi/*.bz2
%doc %_docdir/HTML/en/kdvi/*.sty
%doc %_docdir/HTML/en/kdvi/*.el
%_libdir/kde3/kdvipart.la*
%_libdir/kde3/kdvipart.so*

%_bindir/kdvi           
%_menudir/kdegraphics-kdvi           
%_datadir/applnk/Graphics/kdvi.desktop           

%dir %_datadir/apps/
%dir %_datadir/apps/kdvi/
%_datadir/apps/kdvi/*.rc
%_datadir/apps/kdvi/tips
#
%dir %_datadir/apps/kdvi/toolbar/
%_datadir/apps/kdvi/toolbar/*.xpm

%_iconsdir/crystalsvg/16x16/apps/kdvi.png
%_iconsdir/crystalsvg/32x32/apps/kdvi.png
%_iconsdir/crystalsvg/48x48/apps/kdvi.png

%files kooka
%defattr(-,root,root)
%dir %_docdir/HTML/en/kooka/
%doc %_docdir/HTML/en/kooka/common
%doc %_docdir/HTML/en/kooka/*.docbook
%doc %_docdir/HTML/en/kooka/*.png
%doc %_docdir/HTML/en/kooka/*.bz2

%dir %_datadir/apps/kooka
%_datadir/apps/kooka/*.rc
#
%dir %_datadir/apps/kooka/pics/
%_datadir/apps/kooka/pics/*.png

%_datadir/config/kookarc
%_menudir/kdegraphics-kooka
%_bindir/kooka

%_datadir/applnk/Graphics/kooka.desktop

%dir %_datadir/applnk/Graphics/
%_datadir/applnk/Graphics/kooka.desktop

%config(noreplace) %launchers/%name.desktop



%files -n %lib_name-kooka
%defattr(-,root,root)
%_libdir/libkscan.so.*

%_libdir/libkscan.la

%files -n %lib_name-kooka-devel
%defattr(-,root,root)
%_libdir/libkscan.so


%changelog
* Tue Sep 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-35mdk
- Fix requires on ghostscript-module-X (thanks Pixel)

* Mon Sep 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-34mdk
- Fix requires on libsane1-devel

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-33mdk
- Add support for dynamic

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-32mdk
- Fix upgrade with 9.1

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-31mdk
- Fix patch11: fix kooka shortcut conflict

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-30mdk
- Fix patch9: show all icons in toolbar

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-29mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-28mdk
- Fix spec file

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-27mdk
- Fix spec file

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-26mdk
- Add patch10 fix #61934

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-25mdk
- Apply gb patch (thanks)

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-24mdk
- Update code (fix kiconedit)

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-23mdk
- Fix requires

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-22mdk
- Split kview

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-21mdk
- Fix description

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix require

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- Fix requires/Provides

* Fri Aug 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Fix mem leak (QToolTips was not removed)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Update code (fix crash in kghostview)

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix requires

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Rebuild with libexif9

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Add provides

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Minor spec clean

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Update code

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Rebuild

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix update menu

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix requires
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix buildRequires
- __cputoolize

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix provides (thanks fpons)

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix Obsoletes/Provides 

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Rebuild

* Tue Jun 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Update code

* Wed Jun 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Reapply patch
- Add patch10: fix kghostview display "modify shortcut" entry


* Tue Jun 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch8: allow to change shortcut in kfax
- Add patch9: allow to change shortcut in kghostview

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch7: add shortcut in keditcolor

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Apr 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Update code from kde3.1.1 branch

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Add buildrequires missing reported by Vincent Danen <vdanen@mandrakesoft.com>

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Sync with kde3.1 branch

* Tue Apr 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Minor fix

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Resync with kde_3_1_branch

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Mon Mar 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Split kooka

* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch7 : fix from kde3.1:
=> kiconedit "Backport circle/ellipse tool fix."
=> kpovmodeler :"Fixed the insert rules for patterned textures"

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix kuickshow

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kuickshow bug )

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix kdvi

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kooka, kdvi bugs

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code : fix kview

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Rebuild

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.7mdk
- Reactivate patch5

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Remove debug

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove require libgpio0 

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Remove requires on gpio-devel

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch " Make it lib64 aware"

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch6 : fix multiple about widget

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Add patch5 : fix crash when we change config

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Remove tetex as buildrequire 

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch4 : fix crash in kmrml

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Rebuild

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reapply patch1-3
- Remove unused patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Fri Sep 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Ad Patch11 : fix konqueror crash in kfile_plugins png

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Patch10 : Fix kcontrol->kamera crash

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Require gv

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch9 : fix kfax mem leak

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Update code from kde_3_0_branch fix kfile_png

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch8 : fix second kooka mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch7 : fix kooka mem leak

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch6 : fix assert in kcontrol->kamera

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch5 : fix configure kghostview
- Add Source1 : default kghostview config file.

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kioslave/kamera 

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3
- Add patch3 fix compile

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debug
- Fix build requires

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Rebuild

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild with gphoto2 support

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Update from KDE_3_0_BRANCH
- Add BuildConflicts: automake1.6

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Rebuild

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix obsoletes/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- rebuild

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix build requires

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdegraphics

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.5mdk
- Fix buildrequires for 8.3
- Reactivate gphoto

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.4mdk
- Fix build requires for 8.2
- Readd kooka

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1
- Re-create devel package
- Fix and clean %%files sections

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix requires

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

